<template>
  <section class="AppCommunityManage ailist-wrapper">
    <component ref="component" :is="component" @change="onChange" :params="params" :instance="instance" :dict="dict" />
  </section>
</template>

<script>
import List from './components/List'
import Add from './components/Add'

export default {
  name: 'AppCommunityManage',
  label: '小区管理',

  props: {
    instance: Function,
    dict: Object,
  },

  data() {
    return {
      component: 'List',
      params: {},
      include: [],
    }
  },

  components: {
    Add,
    List,
  },

  methods: {
    onChange(data) {
      if (data.type === 'add') {
        this.component = 'Add'
        this.params = data.params
      }

      if (data.type === 'list') {
        this.component = 'List'
        this.params = data.params

        this.$nextTick(() => {
          if (data.isRefresh) {
            this.$refs.component.getList()
          }
        })
      }
    },
  },
}
</script>

<style lang="scss">
.AppCommunityManage {
  height: 100%;
}
</style>
